Collections
Curated product collections
Archive
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/collections/archive" \ -H "Content-Type: application/json" \ -d '{ "collectionId": "string" }'{}Archive Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/collections/archiveMany" \ -H "Content-Type: application/json" \ -d '{ "collectionIds": [ "string" ] }'{}Create
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/collections/create" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{}Force Delete
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/collections/forceDelete" \ -H "Content-Type: application/json" \ -d '{ "collectionId": "string" }'{}Force Delete Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/collections/forceDeleteMany" \ -H "Content-Type: application/json" \ -d '{ "collectionIds": [ "string" ] }'{}Get Many
Path Parameters
1 <= lengthQuery Parameters
false101 <= value <= 100["created_desc"]11 <= valueResponse Body
application/json
curl -X GET "https://www.prolifto.store/api/string/collections"{}curl -X GET "https://www.prolifto.store/api/string/collections/lite"{}Get One
Path Parameters
1 <= length1 <= lengthQuery Parameters
falseResponse Body
application/json
curl -X GET "https://www.prolifto.store/api/string/collections/string"{}Restore
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/collections/restore" \ -H "Content-Type: application/json" \ -d '{ "collectionId": "string" }'{}Restore Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/collections/restoreMany" \ -H "Content-Type: application/json" \ -d '{ "collectionIds": [ "string" ] }'{}Update
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/collections/update" \ -H "Content-Type: application/json" \ -d '{ "collectionId": "string", "name": "string" }'{}